'''Simple data loader module.

Loads data files from the "data" directory shipped with a game.
'''

import pygame, os

data_py = os.path.abspath(os.path.dirname(__file__))
data_dir = os.path.normpath(os.path.join(data_py, '..', 'data'))

def filepath(filename):
  return os.path.join(data_dir, filename)

def load(filename, mode='rb'):
  return open(filepath(filename), mode)

def loadimg(filename):
  return pygame.image.load(filepath(filename)).convert_alpha()
